import { SSHKeyDto } from '../../dto/ssh-key.dto';
export interface ISSHProvider {
    listSSHKeys(): Promise<SSHKeyDto[]>;
    testConnection(): Promise<{
        success: boolean;
        error?: string;
    }>;
}
